Skip to content
Endless Documentation

Get credit balance and runway

GET
/organizations/{organization_id}/reports/balance

Get credit balance and runway. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/reports/balance"
{  "available": 0,  "buckets": [    {      "type": "string",      "amount": 0,      "remaining": 0,      "expires_at": "2019-08-24T14:15:22Z"    }  ],  "runway": {    "cycle": {      "credits_per_day": 0,      "runs_out_on": "2019-08-24T14:15:22Z"    },    "last_7_days": {      "credits_per_day": 0,      "runs_out_on": "2019-08-24T14:15:22Z"    },    "renewal": {      "renews_on": "2019-08-24T14:15:22Z",      "credits_per_day": 0    }  },  "plan_history": [    {      "id": "string",      "source": "free",      "anchor_at": "string",      "interval": "day",      "interval_count": 0,      "credits_per_cycle": 0,      "ends_at": "string",      "ended_reason": "string",      "created_at": "string",      "plan_name": "string"    }  ]}